DBInputFormat.DBInputSplit (Hadoop 0.20.1+169.127 API)
Date: 2011-01-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.db
Class DBInputFormat.DBInputSplit

    java.lang.Object
      org.apache.hadoop.mapreduce.InputSplit
          org.apache.hadoop.mapreduce.lib.db.DBInputFormat.DBInputSplit

All Implemented Interfaces:
  Writable

Direct Known Subclasses:
  DataDrivenDBInputFormat.DataDrivenDBInputSplit, DBInputFormat.DBInputSplit

Enclosing class:
  DBInputFormat<T extends DBWritable>

    public static class DBInputFormat.DBInputSplit

extends InputSplit
implements Writable

A InputSplit that spans a set of rows

Constructor Summary
`DBInputFormat.DBInputSplit()` Default Constructor
`DBInputFormat.DBInputSplit(long start, long end)` Convenience Constructor

Method Summary
`long` | `getEnd()`
`long` | `getLength()` Get the size of the split, so that the input splits can be sorted by size.
`String[]` | `getLocations()` Get the list of nodes by name where the data for the split would be local.
`long` | `getStart()`
`void` | `readFields(DataInput input)` Deserialize the fields of this object from `in`.
`void` | `write(DataOutput output)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBInputFormat.DBInputSplit

    public DBInputFormat.DBInputSplit()

  Default Constructor

### DBInputFormat.DBInputSplit

    public DBInputFormat.DBInputSplit(long start,
                                      long end)

  Convenience Constructor

  Parameters:
    `start` - the index of the first row to select
    `end` - the index of the last row to select

Method Detail

### getLocations

    public String[] getLocations()
                          throws IOException

  Get the list of nodes by name where the data for the split would be local. The locations do not need to be serialized.

  Specified by:
    `getLocations` in class `InputSplit`
  Returns:
    a new array of the node nodes.
  Throws:
    `IOException`

### getStart

    public long getStart()

  Returns:
    The index of the first row to select

### getEnd

    public long getEnd()

  Returns:
    The index of the last row to select

### getLength

    public long getLength()
                   throws IOException

  Description copied from class: `InputSplit`
  Get the size of the split, so that the input splits can be sorted by size.

  Specified by:
    `getLength` in class `InputSplit`
  Returns:
    The total row count in this split
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput input)
                    throws IOException

  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `input` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput output)
               throws IOException

  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `output` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation